# jul-mic-rol - Components

## View

This class diagram describes the internal structure of our view component :
![View class diagram](gl1_teamblue_class_diagram_defaultview_jul-mic-rol.PNG)
The "main" class was initially called `DefaultView` but it had to be renamed to `JulMicRolView` to avoid conflicts with
other view components, also named `DefaultView`.

Here below, the sequence diagram explains how interactions with our view component are handled:
![View sequence diagram](gl1_teamblue_sequence_diagram_defaultview_jul-mic-rol.PNG)

Additionally, the user can, in the GUI, chose to display the elements in the board as icons, text or colors. By default,
the text representation is used.

# Model (Board)

> **Note:** In this integrated project (team blue), we chose to use the model from the Jul-Mic-Rol group.

The diagrams below explain the structure and behaviour of this component.

![Board class diagram](gl1_teamblue_class_diagram_board_jul-mic-rol.PNG)

Unfortunately, the sequence diagram is too long to be put as an image in this document.